beam-builds mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Jenkins Server <jenk...@builds.apache.org>
Subject Build failed in Jenkins: beam_python_mongoio_load_test #1112
Date Wed, 16 Sep 2020 00:45:20 GMT
See <https://ci-beam.apache.org/job/beam_python_mongoio_load_test/1112/display/redirect?page=changes>

Changes:

[txian] Support NUMERIC in spanner schema parser

[Kyle Weaver] [BEAM-9575] Only copy the Spark runner jar, not whatever other jars


------------------------------------------
[...truncated 37.54 KB...]
INFO:gen_protos:Writing urn stubs: <https://ci-beam.apache.org/job/beam_python_mongoio_load_test/ws/src/sdks/python/apache_beam/portability/api/beam_fn_api_pb2_urns.py>
INFO:gen_protos:Writing urn stubs: <https://ci-beam.apache.org/job/beam_python_mongoio_load_test/ws/src/sdks/python/apache_beam/portability/api/beam_job_api_pb2_urns.py>
INFO:gen_protos:Writing urn stubs: <https://ci-beam.apache.org/job/beam_python_mongoio_load_test/ws/src/sdks/python/apache_beam/portability/api/beam_runner_api_pb2_urns.py>
warning: no files found matching 'README.md'
warning: no files found matching 'NOTICE'
warning: no files found matching 'LICENSE'
warning: sdist: standard file not found: should have one of README, README.rst, README.txt,
README.md


> Task :sdks:python:test-suites:dataflow:py35:installGcpTest
DEPRECATION: Python 3.5 reached the end of its life on September 13th, 2020. Please upgrade
your Python as Python 3.5 is no longer maintained. pip 21.0 will drop support for Python 3.5
in January 2021. pip 21.0 will remove support for this functionality.
Processing <https://ci-beam.apache.org/job/beam_python_mongoio_load_test/ws/src/sdks/python/build/apache-beam.tar.gz>
Processing /home/jenkins/.cache/pip/wheels/50/24/4d/4580ca4a299f1ad6fd63443e6e584cb21e9a07988e4aa8daac/crcmod-1.7-cp35-cp35m-linux_x86_64.whl
Processing /home/jenkins/.cache/pip/wheels/34/63/8b/137c251bca70f301c47a62dae335f36c21a8b86e42c803129a/dill-0.3.1.1-py3-none-any.whl
Collecting fastavro<0.24,>=0.21.4
  Using cached fastavro-0.23.6-cp35-cp35m-manylinux2010_x86_64.whl (1.3 MB)
Requirement already satisfied: future<1.0.0,>=0.18.2 in <https://ci-beam.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages>
(from apache-beam==2.25.0.dev0) (0.18.2)
Requirement already satisfied: grpcio<2,>=1.29.0 in <https://ci-beam.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages>
(from apache-beam==2.25.0.dev0) (1.32.0)
Processing /home/jenkins/.cache/pip/wheels/c3/cd/d8/8d1f32dc46461f8eccebb0bfde7131007393ce4ec0ef866e15/hdfs-2.5.8-py3-none-any.whl
Collecting httplib2<0.18.0,>=0.8
  Using cached httplib2-0.17.4-py3-none-any.whl (95 kB)
Collecting mock<3.0.0,>=1.0.1
  Using cached mock-2.0.0-py2.py3-none-any.whl (56 kB)
Collecting numpy<2,>=1.14.3
  Using cached numpy-1.18.5-cp35-cp35m-manylinux1_x86_64.whl (19.9 MB)
Collecting pymongo<4.0.0,>=3.8.0
  Using cached pymongo-3.11.0-cp35-cp35m-manylinux2014_x86_64.whl (507 kB)
Processing /home/jenkins/.cache/pip/wheels/48/f7/87/b932f09c6335dbcf45d916937105a372ab14f353a9ca431d7d/oauth2client-3.0.0-cp35-none-any.whl
Requirement already satisfied: protobuf<4,>=3.12.2 in <https://ci-beam.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages>
(from apache-beam==2.25.0.dev0) (3.13.0)
Collecting pydot<2,>=1.2.0
  Using cached pydot-1.4.1-py2.py3-none-any.whl (19 kB)
Collecting python-dateutil<3,>=2.8.0
  Using cached python_dateutil-2.8.1-py2.py3-none-any.whl (227 kB)
Collecting pytz>=2018.3
  Using cached pytz-2020.1-py2.py3-none-any.whl (510 kB)
Collecting requests<3.0.0,>=2.24.0
  Using cached requests-2.24.0-py2.py3-none-any.whl (61 kB)
Collecting typing-extensions<3.8.0,>=3.7.0
  Using cached typing_extensions-3.7.4.3-py3-none-any.whl (22 kB)
Processing /home/jenkins/.cache/pip/wheels/cf/01/c2/53623e87850d11e77346db9b35980b55be20e161327f06bf11/typing-3.7.4.3-py3-none-any.whl
Collecting pyarrow<0.18.0,>=0.15.1
  Using cached pyarrow-0.17.1-cp35-cp35m-manylinux2014_x86_64.whl (63.7 MB)
Processing /home/jenkins/.cache/pip/wheels/de/f4/b9/d6546ebbb81a0b7c261c73b4a831a285cc47184821aa2e6e8e/avro_python3-1.9.2.1-py3-none-any.whl
Collecting boto3>=1.9
  Using cached boto3-1.14.62-py2.py3-none-any.whl (129 kB)
Collecting azure-storage-blob>=12.3.2
  Using cached azure_storage_blob-12.5.0-py2.py3-none-any.whl (326 kB)
Collecting azure-core>=1.7.0
  Using cached azure_core-1.8.1-py2.py3-none-any.whl (121 kB)
Collecting cachetools<4,>=3.1.0
  Using cached cachetools-3.1.1-py2.py3-none-any.whl (11 kB)
Processing /home/jenkins/.cache/pip/wheels/51/42/03/26316dd9645ec6cd24dad93e2562f7a70d0e535157fe52feec/google_apitools-0.5.31-py3-none-any.whl
Collecting google-auth<2,>=1.18.0
  Using cached google_auth-1.21.1-py2.py3-none-any.whl (93 kB)
Collecting google-cloud-datastore<2,>=1.7.1
  Using cached google_cloud_datastore-1.15.0-py2.py3-none-any.whl (132 kB)
Collecting google-cloud-pubsub<2,>=0.39.0
  Using cached google_cloud_pubsub-1.7.0-py2.py3-none-any.whl (144 kB)
Collecting google-cloud-bigquery<2,>=1.6.0
  Using cached google_cloud_bigquery-1.27.2-py2.py3-none-any.whl (172 kB)
Collecting google-cloud-core<2,>=0.28.1
  Using cached google_cloud_core-1.4.1-py2.py3-none-any.whl (26 kB)
Collecting google-cloud-bigtable<2,>=0.31.1
  Using cached google_cloud_bigtable-1.4.0-py2.py3-none-any.whl (265 kB)
Collecting google-cloud-spanner<2,>=1.13.0
  Using cached google_cloud_spanner-1.19.0-py2.py3-none-any.whl (255 kB)
Collecting grpcio-gcp<1,>=0.2.2
  Using cached grpcio_gcp-0.2.2-py2.py3-none-any.whl (9.4 kB)
Collecting google-cloud-dlp<2,>=0.12.0
  Using cached google_cloud_dlp-1.0.0-py2.py3-none-any.whl (169 kB)
Collecting google-cloud-language<2,>=1.3.0
  Using cached google_cloud_language-1.3.0-py2.py3-none-any.whl (83 kB)
Collecting google-cloud-videointelligence<2,>=1.8.0
  Using cached google_cloud_videointelligence-1.15.0-py2.py3-none-any.whl (180 kB)
Collecting google-cloud-vision<2,>=0.38.0
  Using cached google_cloud_vision-1.0.0-py2.py3-none-any.whl (435 kB)
Collecting freezegun>=0.3.12
  Using cached freezegun-1.0.0-py2.py3-none-any.whl (14 kB)
Collecting nose>=1.3.7
  Using cached nose-1.3.7-py3-none-any.whl (154 kB)
Processing /home/jenkins/.cache/pip/wheels/cf/90/07/287645608eafad8090586024dc245b16aa8b4d273d80558106/nose_xunitmp-0.4.1-py3-none-any.whl
Collecting parameterized<0.8.0,>=0.7.1
  Using cached parameterized-0.7.4-py2.py3-none-any.whl (25 kB)
Collecting pyhamcrest!=1.10.0,<2.0.0,>=1.9
  Using cached PyHamcrest-1.10.1-py3-none-any.whl (48 kB)
Processing /home/jenkins/.cache/pip/wheels/57/d0/2c/e2003abb5bc1a94c2e8a6fe1c03b8055d074e34c13672e7eb7/PyYAML-5.3.1-cp35-cp35m-linux_x86_64.whl
Collecting requests_mock<2.0,>=1.7
  Using cached requests_mock-1.8.0-py2.py3-none-any.whl (23 kB)
Collecting tenacity<6.0,>=5.0.2
  Using cached tenacity-5.1.5-py2.py3-none-any.whl (34 kB)
Collecting pytest<5.0,>=4.4.0
  Using cached pytest-4.6.11-py2.py3-none-any.whl (231 kB)
Collecting pytest-xdist<2,>=1.29.0
  Using cached pytest_xdist-1.34.0-py2.py3-none-any.whl (36 kB)
Collecting pytest-timeout<2,>=1.3.3
  Using cached pytest_timeout-1.4.2-py2.py3-none-any.whl (10 kB)
Collecting sqlalchemy<2.0,>=1.3
  Using cached SQLAlchemy-1.3.19-cp35-cp35m-manylinux2010_x86_64.whl (1.3 MB)
Collecting psycopg2-binary<3.0.0,>=2.8.5
  Using cached psycopg2_binary-2.8.6-cp35-cp35m-manylinux1_x86_64.whl (3.0 MB)
Processing /home/jenkins/.cache/pip/wheels/88/ef/bf/f33cec78f0f5ac80e104c84ae63ae8c8cd57412f763fd07e32/testcontainers-3.1.0-py2.py3-none-any.whl
Collecting pandas<1,>=0.24.2
  Using cached pandas-0.24.2-cp35-cp35m-manylinux1_x86_64.whl (10.0 MB)
Requirement already satisfied: six>=1.5.2 in <https://ci-beam.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages>
(from grpcio<2,>=1.29.0->apache-beam==2.25.0.dev0) (1.15.0)
Processing /home/jenkins/.cache/pip/wheels/9b/04/dd/7daf4150b6d9b12949298737de9431a324d4b797ffd63f526e/docopt-0.6.2-py2.py3-none-any.whl
Collecting pbr>=0.11
  Using cached pbr-5.5.0-py2.py3-none-any.whl (106 kB)
Collecting pyasn1>=0.1.7
  Using cached pyasn1-0.4.8-py2.py3-none-any.whl (77 kB)
Collecting pyasn1-modules>=0.0.5
  Using cached pyasn1_modules-0.2.8-py2.py3-none-any.whl (155 kB)
Collecting rsa>=3.1.4
  Using cached rsa-4.6-py3-none-any.whl (47 kB)
Requirement already satisfied: setuptools in <https://ci-beam.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages>
(from protobuf<4,>=3.12.2->apache-beam==2.25.0.dev0) (50.3.0)
Collecting pyparsing>=2.1.4
  Using cached pyparsing-2.4.7-py2.py3-none-any.whl (67 kB)
Collecting idna<3,>=2.5
  Using cached idna-2.10-py2.py3-none-any.whl (58 kB)
Collecting certifi>=2017.4.17
  Using cached certifi-2020.6.20-py2.py3-none-any.whl (156 kB)
Collecting chardet<4,>=3.0.2
  Using cached chardet-3.0.4-py2.py3-none-any.whl (133 kB)
Collecting urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1
  Using cached urllib3-1.25.10-py2.py3-none-any.whl (127 kB)
Collecting botocore<1.18.0,>=1.17.62
  Using cached botocore-1.17.62-py2.py3-none-any.whl (6.6 MB)
Collecting s3transfer<0.4.0,>=0.3.0
  Using cached s3transfer-0.3.3-py2.py3-none-any.whl (69 kB)
Collecting jmespath<1.0.0,>=0.7.1
  Using cached jmespath-0.10.0-py2.py3-none-any.whl (24 kB)
Collecting msrest>=0.6.10
  Using cached msrest-0.6.19-py2.py3-none-any.whl (84 kB)
Collecting cryptography>=2.1.4
  Using cached cryptography-3.1-cp35-abi3-manylinux2010_x86_64.whl (2.6 MB)
Collecting fasteners>=0.14
  Using cached fasteners-0.15-py2.py3-none-any.whl (23 kB)
Collecting google-api-core[grpc]<2.0.0dev,>=1.14.0
  Using cached google_api_core-1.22.2-py2.py3-none-any.whl (91 kB)
Processing /home/jenkins/.cache/pip/wheels/fa/58/04/985e12654d20e7afe695f5cf35631a16bf6a762a506898c808/grpc_google_iam_v1-0.12.3-py3-none-any.whl
Collecting google-resumable-media<2.0dev,>=0.5.0
  Using cached google_resumable_media-1.0.0-py2.py3-none-any.whl (42 kB)
Collecting atomicwrites>=1.0
  Using cached atomicwrites-1.4.0-py2.py3-none-any.whl (6.8 kB)
Collecting wcwidth
  Using cached wcwidth-0.2.5-py2.py3-none-any.whl (30 kB)
Collecting pathlib2>=2.2.0; python_version < "3.6"
  Using cached pathlib2-2.3.5-py2.py3-none-any.whl (18 kB)
Collecting packaging
  Using cached packaging-20.4-py2.py3-none-any.whl (37 kB)
Collecting more-itertools>=4.0.0; python_version > "2.7"
  Using cached more_itertools-8.5.0-py3-none-any.whl (44 kB)
Requirement already satisfied: pluggy<1.0,>=0.12 in <https://ci-beam.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages>
(from pytest<5.0,>=4.4.0->apache-beam==2.25.0.dev0) (0.13.1)
Collecting attrs>=17.4.0
  Using cached attrs-20.2.0-py2.py3-none-any.whl (48 kB)
Requirement already satisfied: py>=1.5.0 in <https://ci-beam.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages>
(from pytest<5.0,>=4.4.0->apache-beam==2.25.0.dev0) (1.9.0)
Requirement already satisfied: importlib-metadata>=0.12; python_version < "3.8" in <https://ci-beam.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages>
(from pytest<5.0,>=4.4.0->apache-beam==2.25.0.dev0) (1.7.0)
Collecting pytest-forked
  Using cached pytest_forked-1.3.0-py2.py3-none-any.whl (4.7 kB)
Collecting execnet>=1.1
  Using cached execnet-1.7.1-py2.py3-none-any.whl (39 kB)
Collecting crayons
  Using cached crayons-0.4.0-py2.py3-none-any.whl (4.6 kB)
Processing /home/jenkins/.cache/pip/wheels/12/30/01/9ad692eda25f892c00d53d955f3f0b06c3c7cc3e1cb601cb20/blindspin-2.0.1-py3-none-any.whl
Collecting deprecation
  Using cached deprecation-2.1.0-py2.py3-none-any.whl (11 kB)
Collecting docker
  Using cached docker-4.3.1-py2.py3-none-any.whl (145 kB)
Processing /home/jenkins/.cache/pip/wheels/b8/2d/88/2fb764a7404287819251978fbfe4cacf9b4d8a1d41fce5dd97/wrapt-1.12.1-cp35-cp35m-linux_x86_64.whl
Collecting docutils<0.16,>=0.10
  Using cached docutils-0.15.2-py3-none-any.whl (547 kB)
Collecting isodate>=0.6.0
  Using cached isodate-0.6.0-py2.py3-none-any.whl (45 kB)
Collecting requests-oauthlib>=0.5.0
  Using cached requests_oauthlib-1.3.0-py2.py3-none-any.whl (23 kB)
Collecting cffi!=1.11.3,>=1.8
  Using cached cffi-1.14.2-cp35-cp35m-manylinux1_x86_64.whl (400 kB)
Collecting monotonic>=0.1
  Using cached monotonic-1.5-py2.py3-none-any.whl (5.3 kB)
Collecting googleapis-common-protos<2.0dev,>=1.6.0
  Using cached googleapis_common_protos-1.52.0-py2.py3-none-any.whl (100 kB)
Collecting google-crc32c<2.0dev,>=1.0; python_version >= "3.5"
  Using cached google_crc32c-1.0.0-cp35-cp35m-manylinux2010_x86_64.whl (39 kB)
Requirement already satisfied: zipp>=0.5 in <https://ci-beam.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages>
(from importlib-metadata>=0.12; python_version < "3.8"->pytest<5.0,>=4.4.0->apache-beam==2.25.0.dev0)
(1.2.0)
Collecting apipkg>=1.4
  Using cached apipkg-1.5-py2.py3-none-any.whl (4.9 kB)
Collecting colorama
  Using cached colorama-0.4.3-py2.py3-none-any.whl (15 kB)
Collecting websocket-client>=0.32.0
  Using cached websocket_client-0.57.0-py2.py3-none-any.whl (200 kB)
Collecting oauthlib>=3.0.0
  Using cached oauthlib-3.1.0-py2.py3-none-any.whl (147 kB)
Collecting pycparser
  Using cached pycparser-2.20-py2.py3-none-any.whl (112 kB)
Building wheels for collected packages: apache-beam
  Building wheel for apache-beam (setup.py): started
  Building wheel for apache-beam (setup.py): finished with status 'done'
  Created wheel for apache-beam: filename=apache_beam-2.25.0.dev0-py3-none-any.whl size=2245092
sha256=dca4118a5d4c3d30584cfbdd687303b8ee0d665b17370c58248cd3633bb44bf9
  Stored in directory: /home/jenkins/.cache/pip/wheels/b7/5a/47/cc48d7ea4e03955ecbcf036c25fe98db8dc6d8e84a49528cdb
Successfully built apache-beam
Installing collected packages: crcmod, dill, pytz, fastavro, docopt, idna, certifi, chardet,
urllib3, requests, hdfs, httplib2, pbr, mock, numpy, pymongo, pyasn1, pyasn1-modules, rsa,
oauth2client, pyparsing, pydot, python-dateutil, typing-extensions, typing, pyarrow, avro-python3,
docutils, jmespath, botocore, s3transfer, boto3, isodate, oauthlib, requests-oauthlib, msrest,
azure-core, pycparser, cffi, cryptography, azure-storage-blob, cachetools, monotonic, fasteners,
google-apitools, google-auth, googleapis-common-protos, google-api-core, google-cloud-core,
google-cloud-datastore, grpc-google-iam-v1, google-cloud-pubsub, google-crc32c, google-resumable-media,
google-cloud-bigquery, google-cloud-bigtable, google-cloud-spanner, grpcio-gcp, google-cloud-dlp,
google-cloud-language, google-cloud-videointelligence, google-cloud-vision, freezegun, nose,
nose-xunitmp, parameterized, pyhamcrest, pyyaml, requests-mock, tenacity, atomicwrites, wcwidth,
pathlib2, packaging, more-itertools, attrs, pytest, pytest-forked, apipkg, execnet, pytest-xdist,
pytest-timeout, sqlalchemy, psycopg2-binary, colorama, crayons, blindspin, deprecation, websocket-client,
docker, wrapt, testcontainers, pandas, apache-beam
Successfully installed apache-beam-2.25.0.dev0 apipkg-1.5 atomicwrites-1.4.0 attrs-20.2.0
avro-python3-1.9.2.1 azure-core-1.8.1 azure-storage-blob-12.5.0 blindspin-2.0.1 boto3-1.14.62
botocore-1.17.62 cachetools-3.1.1 certifi-2020.6.20 cffi-1.14.2 chardet-3.0.4 colorama-0.4.3
crayons-0.4.0 crcmod-1.7 cryptography-3.1 deprecation-2.1.0 dill-0.3.1.1 docker-4.3.1 docopt-0.6.2
docutils-0.15.2 execnet-1.7.1 fastavro-0.23.6 fasteners-0.15 freezegun-1.0.0 google-api-core-1.22.2
google-apitools-0.5.31 google-auth-1.21.1 google-cloud-bigquery-1.27.2 google-cloud-bigtable-1.4.0
google-cloud-core-1.4.1 google-cloud-datastore-1.15.0 google-cloud-dlp-1.0.0 google-cloud-language-1.3.0
google-cloud-pubsub-1.7.0 google-cloud-spanner-1.19.0 google-cloud-videointelligence-1.15.0
google-cloud-vision-1.0.0 google-crc32c-1.0.0 google-resumable-media-1.0.0 googleapis-common-protos-1.52.0
grpc-google-iam-v1-0.12.3 grpcio-gcp-0.2.2 hdfs-2.5.8 httplib2-0.17.4 idna-2.10 isodate-0.6.0
jmespath-0.10.0 mock-2.0.0 monotonic-1.5 more-itertools-8.5.0 msrest-0.6.19 nose-1.3.7 nose-xunitmp-0.4.1
numpy-1.18.5 oauth2client-3.0.0 oauthlib-3.1.0 packaging-20.4 pandas-0.24.2 parameterized-0.7.4
pathlib2-2.3.5 pbr-5.5.0 psycopg2-binary-2.8.6 pyarrow-0.17.1 pyasn1-0.4.8 pyasn1-modules-0.2.8
pycparser-2.20 pydot-1.4.1 pyhamcrest-1.10.1 pymongo-3.11.0 pyparsing-2.4.7 pytest-4.6.11
pytest-forked-1.3.0 pytest-timeout-1.4.2 pytest-xdist-1.34.0 python-dateutil-2.8.1 pytz-2020.1
pyyaml-5.3.1 requests-2.24.0 requests-mock-1.8.0 requests-oauthlib-1.3.0 rsa-4.6 s3transfer-0.3.3
sqlalchemy-1.3.19 tenacity-5.1.5 testcontainers-3.1.0 typing-3.7.4.3 typing-extensions-3.7.4.3
urllib3-1.25.10 wcwidth-0.2.5 websocket-client-0.57.0 wrapt-1.12.1

> Task :sdks:python:test-suites:dataflow:py35:mongodbioIT FAILED
<https://ci-beam.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages/apache_beam/__init__.py>:86:
UserWarning: You are using the final Apache Beam release with Python 3.5 support. New releases
of Apache Beam will require Python 3.6 or a newer version.
  'You are using the final Apache Beam release with Python 3.5 support. '
<https://ci-beam.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages/azure/storage/blob/_shared/encryption.py>:15:
CryptographyDeprecationWarning: Python 3.5 support will be dropped in the next release ofcryptography.
Please upgrade your Python.
  from cryptography.hazmat.backends import default_backend
Traceback (most recent call last):
  File "/usr/lib/python3.5/runpy.py", line 184, in _run_module_as_main
    "__main__", mod_spec)
  File "/usr/lib/python3.5/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "<https://ci-beam.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages/apache_beam/io/mongodbio_it_test.py",>
line 114, in <module>
    run()
  File "<https://ci-beam.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages/apache_beam/io/mongodbio_it_test.py",>
line 71, in run
    with TestPipeline(options=PipelineOptions(pipeline_args)) as p:
  File "<https://ci-beam.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages/apache_beam/testing/test_pipeline.py",>
line 107, in __init__
    super(TestPipeline, self).__init__(runner, options)
  File "<https://ci-beam.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages/apache_beam/pipeline.py",>
line 203, in __init__
    'Pipeline has validations errors: \n' + '\n'.join(errors))
ValueError: Pipeline has validations errors: 
Missing required option: region.

FAILURE: Build failed with an exception.

* Where:
Script '<https://ci-beam.apache.org/job/beam_python_mongoio_load_test/ws/src/sdks/python/test-suites/dataflow/common.gradle'>
line: 205

* What went wrong:
Execution failed for task ':sdks:python:test-suites:dataflow:py35:mongodbioIT'.
> Process 'command 'sh'' finished with non-zero exit value 1

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to
get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

Deprecated Gradle features were used in this build, making it incompatible with Gradle 7.0.
Use '--warning-mode all' to show the individual deprecation warnings.
See https://docs.gradle.org/6.6.1/userguide/command_line_interface.html#sec:command_line_warnings

BUILD FAILED in 1m 6s
5 actionable tasks: 5 executed

Publishing build scan...
https://gradle.com/s/oo5ygujk5ch6m

Build step 'Invoke Gradle script' changed build result to FAILURE
Build step 'Invoke Gradle script' marked build as failure

---------------------------------------------------------------------
To unsubscribe, e-mail: builds-unsubscribe@beam.apache.org
For additional commands, e-mail: builds-help@beam.apache.org


Mime
View raw message